Bug Hunting Session
Bug 93068 - UI: Crash when Character dialogue opened
Summary: UI: Crash when Character dialogue opened
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Noel Grandin
URL:
Whiteboard: target:5.1.0 target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-01 18:00 UTC by Gordo
Modified: 2018-01-12 22:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (16.17 KB, text/plain)
2015-08-01 18:00 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-08-01 18:00:53 UTC
Created attachment 117589 [details]
backtrace

1. New Text Document.
2. Right click -> Character.
Result:
Crash.

Windows Vista 64
Version: 5.1.0.0.alpha1+
Build ID: 512b782cf466a19ed77d818fa660e1a0dc74fc35
TinderBox: Win-x86@39, Branch:master, Time: 2015-08-01_00:24:16
Comment 1 Gordo 2015-08-01 18:19:16 UTC
This also affects the Paragraph Style and Character Style dialogues.
Comment 2 Jean-Baptiste Faure 2015-08-02 07:03:35 UTC
Not reproducible for me with Version: 5.1.0.0.alpha1+
Build ID: 7c7124a51e467b6ab4df4d0a38000aa657c35029
Built at home under Ubuntu_15.04_x86-64 with GCC 5.1
Locale: fr-FR (fr_FR.UTF-8)

Best regards. JBF
Comment 3 Maxim Monastirsky 2015-08-02 07:32:34 UTC
cuilo!o3tl::is_typed_flags<enum SvxBackgroundTabFlags,15>::Wrap::Wrap+0x51 [c:\cygwin\home\tinderbox\master\include\o3tl\typed_flags_set.hxx @ 75]
Comment 4 Commit Notification 2015-08-03 06:21:36 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=baba1d14766282bd2c592bffd79ed69f9078cfe1

tdf#93068 - UI: Crash when Character dialogue opened

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-01-12 22:11:21 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42e90b44ee9de1c5e0b324e492949ff6f345461b

uitest for tdf#93068

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.